Anonymous Login
2019-02-21 12:18 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000613v2.2 Release (Closed)[All Projects] Generalpublic2010-12-19 13:24
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.2 
Summary0000613: add forum has a delte forum button, clicking it crashes w2p
Descriptionsee http://forums.web2project.net/viewtopic.php?t=2799&highlight=

Solution: if $forum_id is not set in GET, the button should not be displayed
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001325

opto (manager)

I though assigning it to you would open a box for notes. Well, it did not.

Problem resolved by adding the first line into addedit.php in forums:

if (0< (int)$forum_id)
   if ($canDelete) {
       $titleBlock->addCrumbRight('<table cellspacing="0" cellpadding="0" border="0"?<tr><td><a class="delete" href="javascript:delIt()"><span>' . $AppUI->_('delete forum') . '</span></a></td></tr></table>');
}

~0001326

opto (manager)

see last note

~0001327

pedroa (administrator)

It is fixed on SVN.

Files:
modules/forums/addedit.php
modules/forums/do_forum_aed.php
modules/forums/forums.class.php

http://web2project.svn.sourceforge.net/web2project/?rev=1483&view=rev

Thanks for reporting,

Pedro A.

~0001474

caseydk (administrator)

In v2.2 release.
+Notes

-Issue History
Date Modified Username Field Change
2010-10-26 08:57 opto New Issue
2010-10-26 09:03 opto Status new => assigned
2010-10-26 09:03 opto Assigned To => caseydk
2010-10-26 09:05 opto Note Added: 0001325
2010-10-26 09:05 opto Note Added: 0001326
2010-10-26 09:05 opto Status assigned => feedback
2010-10-26 09:15 pedroa Note Added: 0001327
2010-10-26 09:15 pedroa Status feedback => resolved
2010-10-26 09:15 pedroa Resolution open => fixed
2010-11-24 23:35 caseydk Project v2.1 Release (Closed) => v2.2 Release (Closed)
2010-12-19 13:24 caseydk Note Added: 0001474
2010-12-19 13:24 caseydk Status resolved => closed
2010-12-19 13:24 caseydk Fixed in Version => 2.2
+Issue History